summaryrefslogtreecommitdiff
path: root/scripts/not needed/kbselect
diff options
context:
space:
mode:
authorSaumit Dinesan <79687674+Saumit-D@users.noreply.github.com>2021-11-10 16:01:17 +0530
committerGitHub <noreply@github.com>2021-11-10 16:01:17 +0530
commitaf8cda7385fcd761ceff5fef09401377ed2fbb86 (patch)
tree8d1831bea5328b0ac7e0ec7beceb521068807d93 /scripts/not needed/kbselect
parent96fd32a61a08475d686fa5f8187566ccff870da0 (diff)
Add files via upload
Diffstat (limited to 'scripts/not needed/kbselect')
-rw-r--r--scripts/not needed/kbselect16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/not needed/kbselect b/scripts/not needed/kbselect
new file mode 100644
index 0000000..f0c923f
--- /dev/null
+++ b/scripts/not needed/kbselect
@@ -0,0 +1,16 @@
+#!/bin/sh
+# works on any init system
+# requirements: dmenu, xorg-setxkbmap
+kb="$(setxkbmap -query | grep -oP 'layout:\s*\K\w+')" || exit 1
+
+case $BLOCK_BUTTON in
+ 1) kb_choice="$(awk '/! layout/{flag=1; next} /! variant/{flag=0} flag {print $2, "- " $1}' /usr/share/X11/xkb/rules/base.lst | dmenu -l 15)"
+ kb="$(echo "$kb_choice" | awk '{print $3}')"
+ setxkbmap "$kb"
+ pkill -RTMIN+30 "${STATUSBAR:-dwmblocks}";;
+ 3) notify-send "⌨ Keyboard/language module" "$(printf "%s" "\- Current layout: $(setxkbmap -query | grep -oP 'layout:\s*\K\w+')")
+- Left click to change keyboard.";;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+echo "$kb"